CatalogSpreadsheet
Save spreadsheet
POST
/v1/catalog/spreadsheet/saveSave spreadsheet. A successful request returns HTTP 202 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/catalog/spreadsheet/save" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "brandUpdates": [ { "brandId": "7204558912004325301", "body": { "name": "Example resource", "slug": "example-resource", "logo": "example", "icon": "example", "description": "Example description.", "metaTitle": "Example title", "metaDescription": "Example description.", "keywords": [ "example" ] } } ], "categoryUpdates": [ { "categoryId": "7204558912004325301", "body": { "name": "Example resource", "slug": "example-resource", "logo": "example", "icon": "example", "description": "Example description.", "metaTitle": "Example title", "metaDescription": "Example description.", "keywords": [ "example" ] } } ], "specificationUpdates": [ { "specificationId": "7204558912004325301", "body": { "name": "Example resource", "key": "example", "aliases": [ "example" ], "description": "Example description.", "isMultiple": false, "isRequired": false, "isFilterable": false, "isSearchable": false } } ], "sizeGuideUpdates": [ { "sizeGuideId": "7204558912004325301", "name": "Example resource", "slug": "example-resource", "gender": "unisex", "measurementType": "body", "unit": "cm", "status": "draft", "priority": 1 } ] }'{ "id": "7204558912004325301", "status": "pending", "resource": "example", "format": "example", "createdOn": "2026-08-01T15:30:00Z"}